<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LRoutePlan StructType
 * @subpackage Structs
 */
class LRoutePlan extends AbstractStructBase
{
    /**
     * The dnOrPattern
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dnOrPattern;
    /**
     * The partition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $partition;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The routeDetail
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $routeDetail;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LRoutePlan
     * @uses LRoutePlan::setDnOrPattern()
     * @uses LRoutePlan::setPartition()
     * @uses LRoutePlan::setType()
     * @uses LRoutePlan::setRouteDetail()
     * @uses LRoutePlan::setUuid()
     * @param string $dnOrPattern
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition
     * @param string $type
     * @param string $routeDetail
     * @param string $uuid
     */
    public function __construct($dnOrPattern = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition = null, $type = null, $routeDetail = null, $uuid = null)
    {
        $this
            ->setDnOrPattern($dnOrPattern)
            ->setPartition($partition)
            ->setType($type)
            ->setRouteDetail($routeDetail)
            ->setUuid($uuid);
    }
    /**
     * Get dnOrPattern value
     * @return string|null
     */
    public function getDnOrPattern()
    {
        return $this->dnOrPattern;
    }
    /**
     * Set dnOrPattern value
     * @param string $dnOrPattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRoutePlan
     */
    public function setDnOrPattern($dnOrPattern = null)
    {
        $this->dnOrPattern = $dnOrPattern;
        return $this;
    }
    /**
     * Get partition value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getPartition()
    {
        return $this->partition;
    }
    /**
     * Set partition value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRoutePlan
     */
    public function setPartition(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition = null)
    {
        $this->partition = $partition;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRoutePlan
     */
    public function setType($type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get routeDetail value
     * @return string|null
     */
    public function getRouteDetail()
    {
        return $this->routeDetail;
    }
    /**
     * Set routeDetail value
     * @param string $routeDetail
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRoutePlan
     */
    public function setRouteDetail($routeDetail = null)
    {
        $this->routeDetail = $routeDetail;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRoutePlan
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
